﻿using Amazon.Polly;
using Amazon.Polly.Model;
using NetCoreAudio;

var pollyClient = new AmazonPollyClient();
var request = new SynthesizeSpeechRequest
{
    OutputFormat = OutputFormat.Mp3,
    VoiceId = VoiceId.Matthew,
};
var player = new Player();

while (true)
{
    Console.WriteLine("Enter text (CTRL-C to exit):");
    var text = Console.ReadLine();
    request.Text = text;
    
    var response = await pollyClient.SynthesizeSpeechAsync(request);

    using (var fileStream = new FileStream("speech.mp3", FileMode.Create, FileAccess.Write))
    {
        response.AudioStream.CopyTo(fileStream);
    }

    await player.Play("speech.mp3");
}
